Subject: Re: branch master updated: gnu: Add mercury.

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Thu, 23 Jul 2020 20:34:29 +0200

Hi Brett,

[email-masked] 写道：
> commit 7235ce224e3d20b5f73474cac2d3b34b50d754a5
> Author: Brett Gilio <[email-masked]>
> AuthorDate: Thu Jul 23 12:13:59 2020 -0500
>
>     gnu: Add mercury.
>     
>     * gnu/local.mk (GNU_SYSTEM_MODULES): Add mercury.scm.
>     * gnu/packages/mercury.scm: New file.

Thanks!  I'd close the bug but I'm unable to get past 
mercury-minimal[0].  I suppose it's a permissions issue: the files 
in question are -r--r--r--.

> +              ((#:configure-flags flags ''())
> +               `(list ""))

Is this a weird work-around for something?  If so, please add a 
comment.  If not, remove the "".

(‘flags’ could be ‘_’ as in

> +              ((#:tests? _) #f) ; FIXME: Many test-cases 
> failing.

but that will change the hash.)

Kind regards,

T G-R

[0]: https://www.tobias.gr/mercury-minimal.log.txt, extract:
[…]
cp: cannot create regular file 
'/tmp/guix-build-mercury-minimal-20.06.drv-0/mercury-srcdist-20.06/install_grade_dir.asm_fast.gc/boehm_gc/thread_local_alloc.c': 
Permission denied
cp: cannot create regular file 
'/tmp/guix-build-mercury-minimal-20.06.drv-0/mercury-srcdist-20.06/install_grade_dir.asm_fast.gc/boehm_gc/typd_mlc.c': 
Permission denied
cp: cannot create regular file 
'/tmp/guix-build-mercury-minimal-20.06.drv-0/mercury-srcdist-20.06/install_grade_dir.asm_fast.gc/boehm_gc/win32_threads.c': 
Permission denied
make[2]: Entering directory 
'/tmp/guix-build-mercury-minimal-20.06.drv-0/mercury-srcdist-20.06/install_grade_dir.asm_fast.gc/boehm_gc'
cp Makefile.direct Makefile
cp: cannot create regular file 'Makefile': Permission denied
make[2]: *** 
[/tmp/guix-build-mercury-minimal-20.06.drv-0/mmake.SW2BFY:861: 
Makefile] Error 1
make[2]: Leaving directory 
'/tmp/guix-build-mercury-minimal-20.06.drv-0/mercury-srcdist-20.06/install_grade_dir.asm_fast.gc/boehm_gc'
To clean up from failed install, remove 
/tmp/guix-build-mercury-minimal-20.06.drv-0/mercury-srcdist-20.06/install_grade_dir.asm_fast.gc
make[1]: *** 
[/tmp/guix-build-mercury-minimal-20.06.drv-0/mmake.x8C0kk:1457: 
install_grades] Error 1
make[1]: Leaving directory 
'/tmp/guix-build-mercury-minimal-20.06.drv-0/mercury-srcdist-20.06'
make: *** [Makefile:34: install] Error 2
command "make" "install" failed with status 2